DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Protected Attributes | List of all members
MandatoryViewAndSliceProgressionDirectionMacro Class Reference

Class representing the Mandatory View and Slice Progression Direction Macro. More...

Inheritance diagram for MandatoryViewAndSliceProgressionDirectionMacro:

## Public Member Functions
| MandatoryViewAndSliceProgressionDirectionMacro (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| MandatoryViewAndSliceProgressionDirectionMacro (IODComponent *parent=NULL)
| Constructor. More...
virtual void | clearData ()
| Clear (removes) all attributes handled by the modules of this component.
virtual void | resetRules ()
| Resets rules to their original values.
virtual OFString | getName () const
| Get name of macro. More...
virtual OFCondition | read (DcmItem &source, const OFBool clearOldData=OFTrue)
| Read Mandatory View and Slice Progression Direction Macro from given item. More...
virtual OFCondition | write (DcmItem &item)
| Write Mandatory View and Slice Progression Direction Macro to given item. More...
virtual CodeSequenceMacro & | getViewCode ()
| Get View Code. More...
virtual OFVector< CodeSequenceMacro * > & | getViewModifierCode ()
| Get View Modifier Code. More...
Public Member Functions inherited from IODComponent
| IODComponent (OFshared_ptr< DcmItem > item, OFshared_ptr< IODRules > rules, IODComponent *parent=NULL)
| Constructor. More...
| IODComponent (IODComponent *parent=NULL)
| Constructor, creates rules and item from scratch. More...
IODComponent & | operator= (const IODComponent &rhs)
| Assignment operator, copies contained item and rule set from rhs to "this" attribute set. More...
| IODComponent (const IODComponent &rhs)
| Copy constructor, copies reference to contained item and rule set to "this" attribute set. More...
virtual | ~IODComponent ()
| Virtual Destructor.
virtual void | inventMissing ()
| Set missing values by inventing "default values". More...
OFshared_ptr< IODRules > | getRules ()
| Get rules handled by this module. More...
virtual void | makeOptional ()
| Make component optional by turning all attributes requirement types of it to type 3. More...
DcmItem & | getData ()
| Get the data handled by this module. More...
virtual OFCondition | check (const OFBool quiet=OFFalse)
| Check whether this component's data satisfies the underlying rules. More...
virtual int | compare (const IODComponent &rhs) const
| Comparison operator for IOD Components. More...
virtual bool | getValueCheckOnWrite () const
| Get whether attribute value errors will be handled as errors on writing. More...
virtual void | setValueCheckOnWrite (const OFBool checkValue)
| Set whether attribute values should be checked on writing, i.e. More...

## Protected Attributes
CodeSequenceMacro | m_ViewCodeSequence
| View Code Sequence (SQ, VM 1, type 1)
OFVector< CodeSequenceMacro * > | m_ViewModifierCode
| View Modifier Code Sequence (SQ, VM 1-n, type 2C)
Protected Attributes inherited from IODComponent
OFshared_ptr< DcmItem > | m_Item
| Shared pointer to the data handled by this class. More...
OFshared_ptr< IODRules > | m_Rules
| Rules describing the attributes governed by this class.
IODComponent * | m_Parent
| The parent component (may be NULL) of this class.
OFBool | m_CheckValueOnWrite
| Denotes whether attribute values should be checked on writing, i.e. More...

## Additional Inherited Members
Static Public Member Functions inherited from IODComponent
static OFCondition | read (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName)
| Static helper function that reads attributes from given item into destination item, as determined by the provided rules and component name. More...
static OFCondition | write (DcmItem &source, IODRules &rules, DcmItem &destination, const OFString &componentName, const OFBool checkValue)
| Static helper function that writes attributes from given item into destination item, as determined by the provided rules and component name. More...

## Detailed Description

Class representing the Mandatory View and Slice Progression Direction Macro.

## Constructor & Destructor Documentation

## ◆ MandatoryViewAndSliceProgressionDirectionMacro() [1/2]

MandatoryViewAndSliceProgressionDirectionMacro::MandatoryViewAndSliceProgressionDirectionMacro | ( | OFshared_ptr< DcmItem > | item,
|  | OFshared_ptr< IODRules > | rules,
|  | IODComponent * | parent = `NULL`
| ) |  |

Constructor.

Parameters

  item | The item to be used for data storage. If NULL, the class creates an empty data container.
  rules | The rule set where this classes rules are added to. If NULL, the class creates an empty rule set.
  parent | The parent of the IOD component (NULL if none or unknown)

## ◆ MandatoryViewAndSliceProgressionDirectionMacro() [2/2]

MandatoryViewAndSliceProgressionDirectionMacro::MandatoryViewAndSliceProgressionDirectionMacro | ( | IODComponent * | parent = `NULL` | ) |

Constructor.

Parameters

  parent | The parent of the IOD component (NULL if none or unknown)

## Member Function Documentation

## ◆ getName()

virtual OFString MandatoryViewAndSliceProgressionDirectionMacro::getName | ( |  | ) | const
| virtual

Get name of macro.

Returns
  Name of the module ("MandatoryViewAndSliceProgressionDirectionMacro")

Implements IODComponent.

## ◆ getViewCode()

virtual CodeSequenceMacro& MandatoryViewAndSliceProgressionDirectionMacro::getViewCode | ( |  | ) |
| virtual

Get View Code.

Returns
  Reference to code

## ◆ getViewModifierCode()

virtual OFVector<CodeSequenceMacro*>& MandatoryViewAndSliceProgressionDirectionMacro::getViewModifierCode | ( |  | ) |
| virtual

Get View Modifier Code.

Returns
  Reference to code

## ◆ read()

virtual OFCondition MandatoryViewAndSliceProgressionDirectionMacro::read | ( | DcmItem & | source,
|  | const OFBool | clearOldData = `OFTrue`
| ) |  |
| virtual

Read Mandatory View and Slice Progression Direction Macro from given item.

Parameters

  source | The item to read from
  clearOldData | If OFTrue (default), old data is cleared before reading

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

## ◆ write()

virtual OFCondition MandatoryViewAndSliceProgressionDirectionMacro::write | ( | DcmItem & | item | ) |
| virtual

Write Mandatory View and Slice Progression Direction Macro to given item.

Parameters

  item | The item to write to

Returns
  EC_Normal if successful, error otherwise

Reimplemented from IODComponent.

The documentation for this class was generated from the following file:

- dcmiod/include/dcmtk/dcmiod/iodmacro.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1